org.eclipse.jdt.debug.core

## Interface IJavaPrimitiveValue

All Superinterfaces:
  IAdaptable, IDebugElement, IJavaValue, IValue

    public interface IJavaPrimitiveValue
    extends IJavaValue

A primitive value on a Java debug target.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBooleanValue()` Returns this value as a boolean.
`byte` `getByteValue()` Returns this value as a byte
`char` `getCharValue()` Returns this value as a char
`double` `getDoubleValue()` Returns this value as a double
`float` `getFloatValue()` Returns this value as a float
`int` `getIntValue()` Returns this value as an int
`long` `getLongValue()` Returns this value as a long
`short` `getShortValue()` Returns this value as a short

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaValue

`getGenericSignature, getJavaType, getSignature, isNull`

### Methods inherited from interface org.eclipse.debug.core.model.IValue

`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getBooleanValue

    boolean getBooleanValue()

Returns this value as a boolean.

Returns:
  this value as a boolean

#### getByteValue

    byte getByteValue()

Returns this value as a byte

Returns:
  this value as a byte

#### getCharValue

    char getCharValue()

Returns this value as a char

Returns:
  this value as a char

#### getDoubleValue

    double getDoubleValue()

Returns this value as a double

Returns:
  this value as a double

#### getFloatValue

    float getFloatValue()

Returns this value as a float

Returns:
  this value as a float

#### getIntValue

    int getIntValue()

Returns this value as an int

Returns:
  this value as an int

#### getLongValue

    long getLongValue()

Returns this value as a long

Returns:
  this value as a long

#### getShortValue

    short getShortValue()

Returns this value as a short

Returns:
  this value as a short